package scylladb

import (
	"clickandjoin.app/websocketserver/modules/config"
	gocnjhelper "git.clickandjoin.umbach.dev/ClickandJoin/go-cnj-helper"
	"github.com/gocql/gocql"
	"github.com/scylladb/gocqlx/v2"
)

var Session gocqlx.Session
var Cluster *gocql.ClusterConfig

func InitDatabase() {
	Cluster = gocql.NewCluster(config.Cfg.ScyllaDB.Host)

	Cluster.Authenticator = gocql.PasswordAuthenticator{
		Username: config.Cfg.ScyllaDB.Username,
		Password: config.Cfg.ScyllaDB.Password,
	}

	Cluster.Keyspace = config.Cfg.ScyllaDB.Keyspace

	var err error

	Session, err = gocqlx.WrapSession(Cluster.CreateSession())

	if err != nil {
		gocnjhelper.LogFatal(err.Error())
	}

	gocnjhelper.LogDebug("Database connected")
}
