package utils

import (
	"encoding/json"

	gocnjhelper "git.clickandjoin.umbach.dev/ClickandJoin/go-cnj-helper"
)

func MarshalMessage(message any) (marshaledMessage []byte, err error) {
	marshaledMessage, err = json.Marshal(message)

	if err != nil {
		gocnjhelper.LogErrorf("Failed to marshal send message, err: %s", err)
		return nil, err
	}

	return marshaledMessage, nil
}

func UnmarshalReceivedMessage(body []byte, message any) error {
	gocnjhelper.LogDebugf("UnmarshalReceivedMessage %s", string(body))
	err := json.Unmarshal(body, &message)

	if err != nil {
		gocnjhelper.LogErrorf("Failed to unmarshal received message, err: %s", err)
		return err
	}

	return nil
}
